# Generated from cognac-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cognac

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: A simple library to implement Amazon S3 upload using CORS
License: MIT
URL: http://www.rubyplus.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.2
# BuildRequires: rubygem(minitest) >= 5.7
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
This gem builds the AWS authentication signature as described in
http://docs.aws.amazon.com/AmazonS3/latest/dev/RESTAuthentication.html. It
requires the Amazon keys, as well as options about the request (request type,
resource, etc).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/todo.txt
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cognac.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.1-1
- Initial package
